import { KursblockungOutputs } from '../../core/data/kursblockung/KursblockungOutputs';
import { KursblockungInput } from '../../core/data/kursblockung/KursblockungInput';
import { Service } from '../../core/Service';
export declare class KursblockungAlgorithmus extends Service<KursblockungInput, KursblockungOutputs> {
    constructor();
    handle(input: KursblockungInput): KursblockungOutputs;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_kursblockung_KursblockungAlgorithmus(obj: unknown): KursblockungAlgorithmus;
